gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.DBusSubtreeVTable

Contents

- Exported types
- Methods
- Properties
  - dispatch
  - enumerate
  - introspect

Description

Virtual table for handling subtrees registered with `dBusConnectionRegisterSubtree`.

Since: 2.26

Synopsis

- newtype DBusSubtreeVTable = DBusSubtreeVTable (ManagedPtr DBusSubtreeVTable)
- newZeroDBusSubtreeVTable :: MonadIO m => m DBusSubtreeVTable
- clearDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> m ()
- getDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeDispatchFunc_WithClosures)
- setDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeDispatchFunc -> m ()
- clearDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> m ()
- getDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeEnumerateFunc_WithClosures)
- setDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeEnumerateFunc -> m ()
- clearDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> m ()
- getDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeIntrospectFunc_WithClosures)
- setDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeIntrospectFunc -> m ()

# Exported types

newtype DBusSubtreeVTable Source #

Memory-managed wrapper type.

Constructors

DBusSubtreeVTable (ManagedPtr DBusSubtreeVTable) |

#### Instances

Instances details

Eq DBusSubtreeVTable Source # |
Instance details Defined in GI.Gio.Structs.DBusSubtreeVTable Methods (==) :: DBusSubtreeVTable -> DBusSubtreeVTable -> Bool Source # (/=) :: DBusSubtreeVTable -> DBusSubtreeVTable -> Bool Source #
BoxedPtr DBusSubtreeVTable Source # |
Instance details Defined in GI.Gio.Structs.DBusSubtreeVTable Methods boxedPtrCopy :: DBusSubtreeVTable -> IO DBusSubtreeVTable Source # boxedPtrFree :: DBusSubtreeVTable -> IO () Source #
CallocPtr DBusSubtreeVTable Source # |
Instance details Defined in GI.Gio.Structs.DBusSubtreeVTable Methods boxedPtrCalloc :: IO (Ptr DBusSubtreeVTable) Source #
ManagedPtrNewtype DBusSubtreeVTable Source # |
Instance details Defined in GI.Gio.Structs.DBusSubtreeVTable Methods toManagedPtr :: DBusSubtreeVTable -> ManagedPtr DBusSubtreeVTable Source #
tag ~ 'AttrSet => Constructible DBusSubtreeVTable tag Source # |
Instance details Defined in GI.Gio.Structs.DBusSubtreeVTable Methods new :: MonadIO m => (ManagedPtr DBusSubtreeVTable -> DBusSubtreeVTable) -> [AttrOp DBusSubtreeVTable tag] -> m DBusSubtreeVTable Source #

newZeroDBusSubtreeVTable :: MonadIO m => m DBusSubtreeVTable Source #

Construct a `DBusSubtreeVTable` struct initialized to zero.

# Methods

# Properties

## dispatch

Function for dispatching a remote call on a child node.

clearDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> m () Source #

Set the value of the “`dispatch`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #dispatch

getDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeDispatchFunc_WithClosures) Source #

Get the value of the “`dispatch`” field. When overloading is enabled, this is equivalent to

    get dBusSubtreeVTable #dispatch

setDBusSubtreeVTableDispatch :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeDispatchFunc -> m () Source #

Set the value of the “`dispatch`” field. When overloading is enabled, this is equivalent to

    set dBusSubtreeVTable [ #dispatch := value ]

## enumerate

Function for enumerating child nodes.

clearDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> m () Source #

Set the value of the “`enumerate`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #enumerate

getDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeEnumerateFunc_WithClosures) Source #

Get the value of the “`enumerate`” field. When overloading is enabled, this is equivalent to

    get dBusSubtreeVTable #enumerate

setDBusSubtreeVTableEnumerate :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeEnumerateFunc -> m () Source #

Set the value of the “`enumerate`” field. When overloading is enabled, this is equivalent to

    set dBusSubtreeVTable [ #enumerate := value ]

## introspect

Function for introspecting a child node.

clearDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> m () Source #

Set the value of the “`introspect`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #introspect

getDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> m (Maybe DBusSubtreeIntrospectFunc_WithClosures) Source #

Get the value of the “`introspect`” field. When overloading is enabled, this is equivalent to

    get dBusSubtreeVTable #introspect

setDBusSubtreeVTableIntrospect :: MonadIO m => DBusSubtreeVTable -> FunPtr C_DBusSubtreeIntrospectFunc -> m () Source #

Set the value of the “`introspect`” field. When overloading is enabled, this is equivalent to

    set dBusSubtreeVTable [ #introspect := value ]